Sync data type by entity

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
POST /integration/v1/project/{projectId}/data-type/{dataType}/entity-id/{entityId}/sync

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
  • dataType string Required

    Values are RFI, SUBMITTAL, FILE, or USER.

  • entityId integer(int64) Required

Responses

  • 200

    OK

POST /integration/v1/project/{projectId}/data-type/{dataType}/entity-id/{entityId}/sync
curl \
 --request POST 'https://live.smartpmtech.com/integration/v1/project/{projectId}/data-type/{dataType}/entity-id/{entityId}/sync' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"